[precise] Content of Nuvola Player is only partially rendered, does not update and is irresponsive

Reported by Jean Nassar on 2012-03-17
146
This bug affects 26 people
Affects Status Importance Assigned to Milestone
Nuvola Player
Critical
Unassigned
1.1.x
Undecided
Unassigned
2.0.x
Critical
Unassigned
Releases-1.x
Undecided
Unassigned
WebKit
New
Medium

Bug Description

Whenever I press anything on the grooveshark version of Nuvola player, nothing changes on the screen, even if I refresh. The only way to get it to work is to close the window and reopen it. It works normally on friends' computers.

Jiří Janoušek (fenryxo) wrote :

Thanks for taking the time to report this bug. However, I need more information to investigate it further. Could you provide distribution and its version, debug output an versions of libraries? See http://projects.fenryxo.cz/Nuvola_Player/Report_bug/ for help.

Changed in nuvola-player:
status: New → Incomplete
Jean Nassar (jeannassar5) wrote :
Download full text (7.3 KiB)

I am using Nuvola Player 1.0.3. Distribution is Ubuntu 12.04 beta (latest build) 64-bit. I installed Nuvola using the Stable ppa.

The debug output was me:
1) Opening it using nuvolaplayer --output
2) Closing it to restore the screen
3) Reopening it
4) Pressing restore songs
5) Closing it so the songs are restored
6) Reopening it to play the songs (with no success, I ended up using the media buttons on my keyboard)....

The output is below.

The Flash version is 11.1 r102.

The library versions (gotten by running the last command from the page above) are:

 libgtk2.0-0 libglib2.0-0
libglib2.0-0 2.31.20-0ubuntu3
libgtk2.0-0 2.24.10-0ubuntu5
libsoup2.4-1 2.37.91-1
libwebkitgtk-1.0-0 1.7.91-0ubuntu1

Let me know if there is anything else I can do. :)

Debug Output

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    Nuvola Info Welcome to Nuvola Player, version: 1.0.3
    Nuvola Info Report any issues/bugs you might find to https://bugs.launchpad.net/nuvola-player
    Nuvola Debug command: nuvolaplayer --debug
    Nuvola Debug Built with GLib DBus
    Nuvola Debug Built with libsoup cache
    Nuvola Debug Built with Unity Quick List
    Nuvola Debug Built with User scripts support
    Nuvola Debug Crash dialog disabled.
libfenryxo Debug No proxy settings applied.
    Nuvola Debug Valid 'sandbox_pattern = https?://grooveshark.com/' in /usr/share/nuvolaplayer/services/grooveshark/metadata.conf.
    Nuvola Debug Starting web interface for grooveshark: http://grooveshark.com/#!/
    Nuvola Debug New page request: URI: http://grooveshark.com/#!/, frame URI: null
    Nuvola Debug Unity Launcher Entry for nuvolaplayer.desktop
    Nuvola Debug Bus acquired: org.mpris.MediaPlayer2.nuvolaplayer, registering objects
    Nuvola Debug GNOME session appeared: org.gnome.SessionManager, :1.4
    Nuvola Debug Bus name acquired: org.mpris.MediaPlayer2.nuvolaplayer
    Nuvola Debug GNOME settings daemon appeared: org.gnome.SettingsDaemon, :1.10
    Nuvola Debug Sound menu vanished: com.canonical.indicators.sound
    Nuvola Debug Panel icon: Ubuntu Sound menu visible: false
    Nuvola Debug Action: view
    Nuvola Debug Action: options
    Nuvola Debug Action: help
    Nuvola Debug Installing service to the new window object
djview: QDjViewPlugin::exec() begin
No bp log location saved, using default.
[000:000] Browser XEmbed support present: 1
[000:000] Browser toolkit is Gtk2.
[000:000] Using Gtk2 toolkit
djview: QDjViewPlugin::exec() begin
 <unknown> Debug NP_Initialize
 <unknown> Debug NP_Initialize succeeded
GnomeShell Debug plugin loaded
ERROR: Invalid browser function table. Some functionality may be restricted.
[000:051] Warning(optionsfile.cc:47): Load: Could not open file, err=2
[000:051] No bp log location saved, using default.
[000:051] Browser XEmbed support present: 1
[000:051] Browser toolkit is Gtk2.
[000:051] Using Gtk2 toolkit
 <unknown> Debug NP_Initialize
 <unknown> Debug NP_Initialize succeeded
 <unknown> Debug NP_Initialize
 <unknown> Debug NP_Initialize succeeded
 <unknown> Debug NP_Initialize
 <unknown> Debug NP_Initialize succeeded
java version "...

Read more...

Jiří Janoušek (fenryxo) wrote :

> 6) Reopening it to play the songs (with no success

How did you exactly try to start playback? Menu item, tool bar item or button in the Grooveshark web page?

> libsoup2.4-1 2.37.91-1
> libwebkitgtk-1.0-0 1.7.91-0ubuntu1

The new beta GNOME libraries are full of surprise :-(

summary: - Contents of Nuvola Player do not update
+ Content of Nuvola Player does not update

Reproducible on my testing installation of Ubuntu 12.04 Beta. Probably a rendering bug in WebKit.

Changed in nuvola-player:
status: Incomplete → Confirmed
importance: Undecided → Critical
milestone: none → 1.0.4
summary: - Content of Nuvola Player does not update
+ [precise] Content of Nuvola Player does not update

I first tried the button inside grooveshark. Then, I used the key on the
keyboard, and it worked.

Jean Nassar

2012/3/18 Jiří Janoušek <email address hidden>

> > 6) Reopening it to play the songs (with no success
>
> How did you exactly try to start playback? Menu item, tool bar item or
> button in the Grooveshark web page?
>
> > libsoup2.4-1 2.37.91-1
> > libwebkitgtk-1.0-0 1.7.91-0ubuntu1
>
> The new beta GNOME libraries are full of surprise :-(
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/958154
>
> Title:
> Contents of Nuvola Player do not update
>
> Status in Nuvola Player:
> Incomplete
>
> Bug description:
> Whenever I press anything on the grooveshark version of Nuvola player,
> nothing changes on the screen, even if I refresh. The only way to get
> it to work is to close the window and reopen it. It works normally on
> friends' computers.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/nuvola-player/+bug/958154/+subscriptions
>

Could you try build 1.0.4~unstable1 from https://launchpad.net/~nuvola-player-builders/+archive/bugfix ?

Changed in nuvola-player:
status: Confirmed → Incomplete

Thanks, it works perfectly now. ^^ Congratulations. A huge benefit, having
grooveshark integrated. Hats off.

Jean Nassar

2012/3/18 Jiří Janoušek <email address hidden>

> Could you try build 1.0.4~unstable1 from https://launchpad.net/~nuvola-
> player-builders/+archive/bugfix ?
>
> ** Changed in: nuvola-player
> Status: Confirmed => Incomplete
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/958154
>
> Title:
> [precise] Content of Nuvola Player does not update
>
> Status in Nuvola Player:
> Incomplete
>
> Bug description:
> Whenever I press anything on the grooveshark version of Nuvola player,
> nothing changes on the screen, even if I refresh. The only way to get
> it to work is to close the window and reopen it. It works normally on
> friends' computers.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/nuvola-player/+bug/958154/+subscriptions
>

Fix committed to lp:nuvola-player/releases-1.x (revno 212, target 1.0.4).

Changed in nuvola-player:
status: Incomplete → Fix Committed
tags: added: buggy-libwebkit

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hello,

The bug is back. The contents do not update anymore. In addition, it
does not play any music, but fast-forwards through it at 3-4 seconds
per second without emitting any sound.

On 2012-03-21 13:06, Jiří Janoušek wrote:
> ** Tags added: buggy-libwebkit
>

- --
Jean Nassar
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQEcBAEBAgAGBQJPbLOcAAoJEMmICNTgS+fKRJYH/1ghi09YwtqJdefiAwXg/ZXN
jDYFDispnDvwhSO+De4UCtDQFeOI0ElM0Gs5SXHksB7TLTg3c3QMQS+TKtqCznQq
TUIEDv0nQrGjx2D6TNbHIzt7YkfAEMuNE5NI1MSPx+XC1BaBg9sEU62fDjeYuJ7C
r/j0j4O29ORSG2PLyypBC/CIhT63EKMPsdyhHIMbCt4881Mc7tjVQCnk7sscELv+
2QKsXreqighqnE+gTNRnEbz/RQjdrwGiS33GeYmX7Yj1IEYZj0UNrSAWJVwbg0YP
6BkBECmy8ERZHsa0NoWZ3HCt17WJd71DYoHHmJJbcw09iX8vTHHqkCCG/WNXa9c=
=V8//
-----END PGP SIGNATURE-----

Jiří Janoušek (fenryxo) wrote :

Could you post output of command "grep window
$HOME/.config/nuvolaplayer/ui_state.conf"?

Jean Nassar (jeannassar5) wrote :

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

indow_maximized = yes
window_h = 744
window_w = 1301

On 2012-03-23 17:38, Jiří Janoušek wrote:
> Could you post output of command "grep window
> $HOME/.config/nuvolaplayer/ui_state.conf"?
>

- --
Jean Nassar
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQEcBAEBAgAGBQJPbPjVAAoJEMmICNTgS+fKpxsH/Atwb09Ce537QEjHUxf35QH1
JP5KpSjHjW/p8KgWz9XRZuulKsuMsTcB5yClS8XWmhpSh//QH0eGHlCBVH3T2jsw
9cZi7Ehtz3Ia1L73IO9N1F6J5uYO4qj5VkGa1Qd3si5iP2lyd0iP4IgQ+hhVJJDb
XirzSfCdxowUNHtN3oQzid+vTldMZqDBNrO3OH8KpHnJM6GGlOMQass6btLsIuut
wv37mGhbgmwB15Erm3XtA/kSaz2bAK0YfTi4kvmuSJl1ort767PYOm2MVi9Yxdii
tz2u5ROXCMP0WoDQNcC4W8rVU7U9s1W85U4urQx7/+Zjcbd08PQyvmDRUnmmkCc=
=64PZ
-----END PGP SIGNATURE-----

Jiří Janoušek (fenryxo) wrote :

Could you try to quit Nuvola Player, remove these three lines from
$HOME/.config/nuvolaplayer/ui_state.conf and start Nuvola Player
again?

summary: - [precise] Content of Nuvola Player does not update
+ [precise] Content of Nuvola Player does not update and is irresponsive
Changed in nuvola-player:
status: Fix Committed → In Progress

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

It is responsive again, but still does not play. It goes through 1
minute in 28 seconds, but I can hear no sound coming out of it.

On 2012-03-23 18:44, Jiří Janoušek wrote:
> Could you try to quit Nuvola Player, remove these three lines from
> $HOME/.config/nuvolaplayer/ui_state.conf and start Nuvola Player
> again?
>
>
> ** Summary changed:
>
> - [precise] Content of Nuvola Player does not update + [precise]
> Content of Nuvola Player does not update and is irresponsive
>
> ** Changed in: nuvola-player Status: Fix Committed => In Progress
>

- --
Jean Nassar
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQEcBAEBAgAGBQJPbQFPAAoJEMmICNTgS+fK1EwIAI/WwMY9P3UGYlSz1PliXppk
o1hXDiHK7cNVK8iLAlh/RY8EtOOa6UdcuF4/MB1XB9VmpTg+yz6U9glOu6L0reNM
Fl5arKO/HxsffFe1JaYxW2r4sfL8aeCQK78N+OsG5fLG+xLfEbCGa14eK2tokX2B
qHQ7ASwztQkg80q8MzKTq9Z+xmOtDlatfOIvEhnkg3i/EXHhvYL5XRX9QvemeXus
1euxQ5uTBzwadzLmfCQ3mqavraCPvPTdxuDCouXKuKoR09i9qokzbPID3s7JLRu/
LUkw9nYWS2KsIxC+kBbDUbkCM33iyfAMA+SOeSxPDt9mnt9MDN0W2lYaKe1aTYs=
=PcCc
-----END PGP SIGNATURE-----

Jiří Janoušek (fenryxo) wrote :

> It is responsive again, but still does not play. It goes through 1
> minute in 28 seconds, but I can hear no sound coming out of it.

Please create new bug report, because your current issue is not a subject of this bug report.

Changed in nuvola-player:
importance: Critical → High
Jiří Janoušek (fenryxo) wrote :

Unfortunately, this issue is caused by a bug in WebKitGtk, therefore it is not possible to fix it in Nuvola Player and I am closing this bug for that reason. I've already created upstream bug report, you can help fixing this bug there: https://bugs.webkit.org/show_bug.cgi?id=81450

Changed in nuvola-player:
milestone: 1.0.4 → none
status: In Progress → Invalid
Jiří Janoušek (fenryxo) wrote :

Note to self: Partial workaround is MainWindow.set_default_size(700, 550) instead of remembered window size, but it still doesn't solve the issue, when user maximizes window before entering to Grooveshark/Google Play. It's also regression in user experience. This black magic should be commited unless the upstream bug is fixed in the next stable WebKitGTK release (1.8).

Changed in webkit-open-source:
importance: Unknown → Medium
status: Unknown → New
Jiří Janoušek (fenryxo) wrote :

Partial workaround committed to lp:nuvola-player/releases-1.x (revno 214, milestone 1.0.4). Trunk branch will get it later.

Jean Nassar (jeannassar5) wrote :

Confirmed that this is fixed after yesterday's updates to the beta, which included a new Webkit engine.

Jean Nassar (jeannassar5) wrote :

^Update to the above: still using the 1.0.4 version. Not tested with the public version yet.

Jiří Janoušek (fenryxo) wrote :

What do you mean by "public version"?

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I meant public as in not beta. I hadn't realized it is currently
1.0.4. Sorry. So it works. :)

On 2012-04-01 14:30, Jiří Janoušek wrote:
> What do you mean by "public version"?
>

- --
Jean Nassar
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQEcBAEBAgAGBQJPeKQ+AAoJEMmICNTgS+fKaJgH/246pgXZS+HHp07kNAD9HgYE
Zc37ozR3w6g46aU53g/DpB+zNv5yPj4eoMeU+HumIKL/sKARbHnZt4dVgReRQuR2
ajw+fpaWIY7RHJso01Hp/uYVP0CA+A6JIV48kfOHJsBjpDYHXL95l+Stn7QLGZOw
IZ5QRpUw4udQ6BDTCPZtHxONx0zXAD22kxa6NFFkVdw6WEjvzRIg/cqoI56BJnDm
+DKuAE4x6DuOhKnUsDN4/16vemosbhYqVnpjW1EMjZ4b1Ano6qa9WiG1qn0msUTN
4beN0TI2uY437/XvvdGmEMWlPi6xWsuMQdrSDZp64sFIw68Va4LgDzY0iriP7w4=
=0WIm
-----END PGP SIGNATURE-----

I've just tested release 1.0.4 on up-to-date Ubuntu 12.04 Beta 2 with WebKitGTK 1.8 and the rendering bug has appeared again in second run :-(

Note to self: Let's try other magic numbers, maybe (900, 550).

Jiří Janoušek (fenryxo) wrote :

From duplicate bug #958154: also affects Pandora radio.

summary: - [precise] Content of Nuvola Player does not update and is irresponsive
+ [precise] Content of Nuvola Player is only partially rendered, does not
+ update and is irresponsive

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

The only time I can reproduce it is when refreshing. If I close (or
pkill) and reopen, it works again.

On 2012-04-01 19:26, Jiří Janoušek wrote:
> I've just tested release 1.0.4 on up-to-date Ubuntu 12.04 Beta 2
> with WebKitGTK 1.8 and the rendering bug has appeared again in
> second run :-(
>
> Note to self: Let's try other magic numbers, maybe (900, 550).
>

- --
Jean Nassar
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQEcBAEBAgAGBQJPe2o+AAoJEMmICNTgS+fKJy0IAJcfRp9ZOp13vVNYiI2mufqg
UBO68qlwlRgMK0/7kEYYbk62F1+sgqbKKV3dr/kbj7TTjofUwMFM/2OAFr2NZARL
PHZvhofLp1oW/aWh8ksJbt44nG53uavd2epZMRDWeSd93Eao2/TxKgB/FlbCVMNp
zo0sZ0kA62PqiiPUzm3SMO1JnCHzOmcrGue9UxuEmBxOU3zQThdLfwg9Loas17iJ
bBD01HcmnMuTErlzhNbT0+ifGOR/Y0tDNXkVu12BmnCWS3NP9SgON/Z58b1Y2bhc
297g5A/d1CzdpCx9NrShyCKR1+HdxzPPvboutg0wwXOElqVDwrZI9e5lhMT5ZtA=
=dcyh
-----END PGP SIGNATURE-----

Jiří Janoušek (fenryxo) wrote :

Nuvola Player 1.0.5 was released. It contains modified workaround for bug[1][2] present in the latest stable WebKitGTK release (1.8) that causes some Flash-dependent pages are not rendered properly, do not update and are unresponsive to user actions. Unfortunately, this bug affects also Google Play, Grooveshark and Pandora Radio and makes them unusable in Nuvola Player. Thanks to Alin Andrei, I have discovered the bug doesn’t appear if the window has certain “magic” size.

The latest stable Nuvola Player release 1.0.5 contains simple workaround that sets window size to magic values that worked during my tests. However, these values may be dependent on user settings, e.g. GTK theme, window manager, font sizes, whatever. If the default workaround does not work for you, you can try to set your own magic values:

1) Quit Nuvola Player (hiding the window is not enough).
2) Open or create file .config/nuvolaplayer/ui_state.conf
3) Append following lines:
bug958154_window_w = 1010
bug958154_window_h = 534
5) Replace “1010” with your magic window width and “534” with your magic window height.
4) Save the file
5) Launch Nuvola Player
6) If the values don’t work, go to 1.

The workaround has not been included in the trunk branch/unstable builds of Nuvola Player 1.1 yet, but is on the list of work items[3].

If you are affected by that bug, I encourage you to add some “heat” to the Ubuntu bug[2] or upstream bug[1].

[1] https://bugs.webkit.org/show_bug.cgi?id=81450
[2] https://bugs.launchpad.net/webkit/+bug/973719
[3] https://blueprints.launchpad.net/nuvola-player/+spec/development-planning

Jiří Janoušek (fenryxo) wrote :

From duplicate bug #973947: also affect Rdio.

This suggestion may be a bit drastic, but I'm wondering- Why does Nuvola have to be based on WebKit? Couldn't it use gecko or similar?

Nuvola Player could use Gecko, but WebKitGTK has better API. Porting to
Gecko would require a lot of work, so it's out of the question.

Bella's Bells (sandyd) wrote :

I don't know if I'm doing this wrong or not.

1.
Open nuvola (new config)

2. Quit Nuvola via menu

3. Nuvola says

Nuvola Warning Bug 958154 window size: 1010×534, so I use the config provided.

Its still not working.

Jiří Janoušek (fenryxo) wrote :

> 3. Nuvola says
>
> Nuvola  Warning Bug 958154 window size: 1010×534, so I use the config
> provided.

The warning is always show if WebKitGTK 1.7 or 1.8 is detected and
workaround is applied.

> Its still not working.

Try other window heights (534±5, 15, 20 ...)

Mycah Mattox (mycahm) wrote :

Would it be possible to install an older webkit version as a workaround? What version is known working?

Jean Nassar (jeannassar5) wrote :

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

How can you tell? As far as I know I am using the newest webkit (I
update everything), and there are absolutely no more problems. There
is no locking up (except after refresh, so I don't do that), and
playback is perfect. The ad videos that come up are also playing now.

(2012-04-25 10:18), Mycah Mattox wrote:
> Would it be possible to install an older webkit version as a
> workaround? What version is known working?
>

- --
Jean Nassar
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQEcBAEBAgAGBQJPmBH/AAoJEMmICNTgS+fK2bMIAMGkBf9Wbdw9AlSeYrCMmmtS
krZTHfb6+IqwPOGP8PYwpEq+Pno7BhGXZi9Ll8pAFiNfbROKSLRndJsFzmPxyFy7
atB5ZaaIl3sH3/nY3um2p+ELxNv3gdq0nRis/AbmxMiPkN5ruSoNcO2VGIcxV58d
9hcdg1euuh1sOTiR4KyPXl6YgA7S/3DGNnIp4cXTr35Waid/aHf0bZRV7VBA0tKr
6vW3k39xQ5N3ksKpNsNUUlhLKNeFQiNkIzpVgW7tYxbbspeYtNFceKWZ20u7WzeZ
rsIBvI87sKovjUkwPfOA/4M9ppfhS11qEYfAcSfZeQH8rfC64kAQgoTlZiPy/ho=
=4fCf
-----END PGP SIGNATURE-----

Jiří Janoušek (fenryxo) wrote :

> Would it be possible to install an older webkit version as a workaround?

I think it is not possible because of (reversed) dependencies.

> What version is known working?

1.6.x and older

> How can you tell? As far as I know I am using the newest webkit (I
update everything), and there are absolutely no more problems.

Nuvola Player contains partial workaround that sometimes works,
sometimes not. Precise still contains buggy libwebkitgtk 1.8.

> There is no locking up (except after refresh, so I don't do that)

Well, this doesn't sound like "absolutely no more problems", it's a
confirmation the webkit bug is still present ;-)

Is it possible to have the program point to the mobile versions of each of these websites if it detects a problem with loading?

Jiří Janoušek (fenryxo) wrote :

> Is it possible to have the program point to the mobile versions of each
> of these websites if it detects a problem with loading?

It might be a backup plan if GTK+ 3 port of Nuvola Player fails to
solve the issue.

SkyghiS (skyghis) wrote :

To solve the issue you can turn on HTML5 lab feature.

Jiří Janoušek (fenryxo) wrote :

> To solve the issue you can turn on HTML5 lab feature.

This bug is not specific to Google Play. Grooveshark, Rdio and Pandora
don't have any HTML5 lab feature.

Mycah Mattox (mycahm) wrote :

> To solve the issue you can turn on HTML5 lab feature.

Thanks for the heads up. I'm able to use nuvola again finally.

vanjoe (vandergriendtjoel) wrote :

One thing to note, rdio and I think groove shark dont have mobile versions, they just tell you to download the app.
What the status of this bug upstream? Is there a corresponding bug report?

Jiří Janoušek (fenryxo) wrote :

> What the status of this bug upstream? Is there a corresponding bug report?

https://bugs.webkit.org/show_bug.cgi?id=81450

Jiří Janoušek (fenryxo) wrote :

PPA for Ubuntu 12.04: Rdio and Pandora are blacklisted in package version 1.0.5-0fenryxo4~precise, because the partial workaround was reported not to work at all for these services.

Changed in nuvola-player:
importance: High → Critical
status: Invalid → Triaged
Changed in nuvola-player:
status: Triaged → In Progress
assignee: nobody → Jiří Janoušek (fenryxo)
Jiří Janoušek (fenryxo) wrote :

Fix committed to lp:nuvola-player as r394.

Changed in nuvola-player:
status: In Progress → Fix Committed
assignee: Jiří Janoušek (fenryxo) → nobody
Jiří Janoušek (fenryxo) wrote :

The fix is not yet released, please do not change bug status. Thanks.

Jiří Janoušek (fenryxo) wrote :

Fix released in Nuvola Player 2.0.0.

Changed in nuvola-player:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.